Panda3D

Loading...
Searching...
No Matches
Classes | Functions
textureStage.h File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "pandabase.h"`
`#include "internalName.h"`
`#include "pointerTo.h"`
`#include "typedWritableReferenceCount.h"`
`#include "updateSeq.h"`
`#include "luse.h"`
`#include "graphicsStateGuardianBase.h"`
`#include "textureStage.I"`

Go to the source code of this file.

## Classes
class | TextureStage
| Defines the properties of a named stage of the multitexture pipeline. More...

## Functions
std::ostream & | operator<< (std::ostream &out, const TextureStage &ts)
EXPCL_PANDA_GOBJ std::ostream & | operator<< (std::ostream &out, TextureStage::CombineMode cm)
EXPCL_PANDA_GOBJ std::ostream & | operator<< (std::ostream &out, TextureStage::CombineOperand co)
EXPCL_PANDA_GOBJ std::ostream & | operator<< (std::ostream &out, TextureStage::CombineSource cs)
EXPCL_PANDA_GOBJ std::ostream & | operator<< (std::ostream &out, TextureStage::Mode mode)

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2004-07-14

Definition in file textureStage.h.

## Function Documentation

## ◆ operator<<() [1/5]

std::ostream & operator<< | ( | std::ostream & | out,
|  | const TextureStage & | ts )
| inline

Definition at line 736 of file textureStage.I.

## ◆ operator<<() [2/5]

EXPCL_PANDA_GOBJ std::ostream & operator<< | ( | std::ostream & | out,
|  | TextureStage::CombineMode | cm )

Definition at line 543 of file textureStage.cxx.

## ◆ operator<<() [3/5]

EXPCL_PANDA_GOBJ std::ostream & operator<< | ( | std::ostream & | out,
|  | TextureStage::CombineOperand | co )

Definition at line 605 of file textureStage.cxx.

## ◆ operator<<() [4/5]

EXPCL_PANDA_GOBJ std::ostream & operator<< | ( | std::ostream & | out,
|  | TextureStage::CombineSource | cs )

Definition at line 577 of file textureStage.cxx.

## ◆ operator<<() [5/5]

EXPCL_PANDA_GOBJ std::ostream & operator<< | ( | std::ostream & | out,
|  | TextureStage::Mode | mode )

Definition at line 485 of file textureStage.cxx.